Bug 63082 - subscript and superscript size incorrect after copy&paste
Summary: subscript and superscript size incorrect after copy&paste
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: x86 (IA32) macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-03 15:49 UTC by Anastasius
Modified: 2015-10-07 16:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anastasius 2013-04-03 15:49:03 UTC
When pasting text in Draw or Impress, subscript and superscript size is 100%, i.e., normal text font size.

Steps to reproduce:

- In Draw or Impress, write a text such as "E=mc2 H2O", with the characters '2' being subscripts and superscripts (using the toolbar symbols 'subscript'/'superscript', if displayed, or the Format>Character>Position RadioButtons 'subscript'/'superscript'. The subscripts/superscripts will be smaller than the normal text.
- While the text cursor is still active, select the text or part thereof containing a subscript and/or superscript.
- Paste the text into the same text field, into a different text field or simply after deselecting everything (will create a new text field). The subscript/superscript will have normal text height, i.e. 'Relative Font Size' in Format>Character>Position will be 100%.

What should happen: Relative Font Size of subscripts and superscripts should be preserved by copy&paste.

No such problem when copying&pasting a text field containing subscripts/superscripts as a whole (without entering text editing mode).

Possibly related to 36538 and 52286 (similar problem on RTF export, resolved)
Comment 1 A (Andy) 2013-04-06 15:05:11 UTC
not reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Could you please check it once more with the latest release of LO.
Comment 2 Anastasius 2013-06-25 16:57:02 UTC
(In reply to comment #1)
Bug still present in LO 4.0.4.2 (Mac OS X 10.6.8).
For clarification: The bug is not (and was never) present on copy/paste of text objects as a whole (arrow cursor), only when copying within a text object (text cursor).
Comment 3 sasha.libreoffice 2013-09-23 11:30:13 UTC
Thanks for bugreport
May be problem in user profile. Is this reproducible on another computer?
Comment 4 Anastasius 2013-09-26 19:49:00 UTC
(In reply to comment #3)
I tied with a new installation of LO 4.05 on a computer that I had never touched before. Initially the bug was not present.
At that time I had to do the subscript/superscript formatting from the Format>Character menu.
Then I added the Format>Subscript and Format>Superscript buttons to the Text Format toolbar, to the right of the 'shadow' button (where I usually have them because I need them a lot). And using these buttons, suddenly the bug was there.

Then I tried with my usual computer, LO 4.1.1.2 - where I had seen the bug very recently, with the same LO version. Today the bug was not there!

So it really seems to depend on some hidden settings - or some other factor that I cannot determine.
Comment 5 tommy27 2013-09-28 20:45:23 UTC
I'm not able to reproduce it with 4.1.1.2 under Win7 64bit
Comment 6 Owen Genat (retired) 2013-11-30 05:54:58 UTC
Unable to reproduce. May be a x86 / MacOS build-specific issue. Tested the described behaviour under Crunchbang 11 x86_64 running:

- v3.3.4.1 OOO330m19 Build:401
- v3.4.6.2 OOO340m1 Build:602
- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v3.6.7.2 Build ID: e183d5b
- v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
- v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a

In all cases superscript/subscript text pastes as expected.
Comment 7 Owen Genat (retired) 2014-07-22 05:37:50 UTC
(In reply to comment #6)
> May be a x86 / MacOS build-specific issue.

Also tested under MacOS using v4.3.0.3 Build ID: fcd3838c4097f7817b5b3984fd88a44e1edd8548 (x86). Unable to reproduce in either Draw or Impress. Anastasius can you please test in a more recent version and report back the results?

Status set to NEEDINFO. Set status back to UNCONFIRMED once the requested information has been provided. Thanks.
Comment 8 QA Administrators 2015-02-19 04:35:41 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 9 QA Administrators 2015-04-01 14:51:50 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team
Comment 10 Anastasius 2015-05-22 18:22:09 UTC
The bug is not present in LO 4.1.6.2 any more (the last one that I can use on OS X 10.6.8 due to Bug 75467).
Comment 11 tommy27 2015-05-22 19:53:30 UTC
so correct status is WORKSFORME
Comment 12 tommy27 2015-05-22 19:54:34 UTC
(In reply to Anastasius from comment #10)
> The bug is not present in LO 4.1.6.2 any more (the last one that I can use
> on OS X 10.6.8 due to Bug 75467).

Bug 75467 is fixed too so why don't you upgrade?
Comment 13 Anastasius 2015-10-07 16:33:17 UTC
Yes, I can confirm that I haven't seen that problem any more with the lastest LO 4 version. And special thanks to those who have fixed Bug 75467, so I could upgrade!